# $Revision: 1.14 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PXR
Summary:	PXR - Perl XML router tools for use in other projects
Summary(pl.UTF-8):	PXR - narzędzia routera XML w Perlu do wykorzystania w innych projektach
Name:		perl-PXR
Version:	0.1.5
Release:	2
# package have GPLv2 attached in Source0
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/N/NP/NPEREZ/%{pdir}-%{version}.tar.gz
# Source0-md5:	ee51da0051dc83824b69eddab013f1d8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE-Filter-XML
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl XML Router tools that contains:
- PXR::Node	- provides an slick, featureful XML node representation;
- PXR::Parser	- a simple, speedy, efficient pure Perl SAX XML parser;
- PXR::NS	- namespace constants for PXR/JABBER(tm)/XMPP
		  development;
- PXR::Utils	- general purpose common utility functions for PXR
		  Tools.

%description -l pl.UTF-8
Narzędzia routera XML w Perlu, zawierające:
- PXR::Node	- udostępnia zgrabną, posiadającą duże możliwości
		  reprezentację węzłów XML;
- PXR::Parser	- prosty, szybki, wydajny analizator SAX XML w czystym
		  Perlu;
- PXR::NS	- stałe przestrzeni nazw dla tworzenia programów
		  korzystających z PXR/JABBER(tm)/XMPP;
- PXR::Utils	- funkcje narzędziowe ogólnego stosowania dla PXR Tools.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/%{pdir}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PXR.spec,v $
Revision 1.14  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:44  baggins
- converted to UTF-8

Revision 1.12  2004/11/03 22:30:39  paladine
- formatting

Revision 1.11  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.10  2004/08/08 20:50:27  adamg
- release 2

Revision 1.9  2004/05/06 18:20:54  ankry
- fixed perl-devel BR

Revision 1.8  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.7  2004/04/22 21:32:46  agaran
- update info about licence

Revision 1.6  2004/04/22 21:29:20  agaran
- updated to new bconds, nfy, wip

Revision 1.5  2004/04/15 08:54:06  ankry
- summary cosmetics

Revision 1.4  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/20 22:41:31  ankry
- pl translations

Revision 1.1  2003/08/20 13:39:52  radek
- new
